Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Class CoreAnnotations.TokensAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.TokensAnnotation

All Implemented Interfaces:
  CoreAnnotation<List<CoreLabel>>, TypesafeMap.Key<CoreMap,List<CoreLabel>>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.TokensAnnotation

extends Object
implements CoreAnnotation<List<CoreLabel>>

The CoreMap key for getting the tokens contained by an annotation. This key should be set for any annotation that contains tokens. It can be done without much memory overhead using List.subList.

Constructor Summary
`CoreAnnotations.TokensAnnotation()`

Method Summary
`Class<List<CoreLabel>>` | `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.TokensAnnotation

    public CoreAnnotations.TokensAnnotation()

Method Detail

### getType

    public Class<List<CoreLabel>> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<List<CoreLabel>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group